//! Database Driver for Postgres
//!
//! Contains database-specific query data
use super::*;

/// The struct implementing the `DatabaseDriver` trait
#[derive(Debug)]
pub struct PostgresDriver;

impl PostgresDriver {
    /// Create a PostgresDriver driver
    pub fn new() -> Self {
        PostgresDriver {}
    }
}

impl DatabaseDriver for PostgresDriver {
    fn explain(&self, sql: &str) -> String {
        format!("EXPLAIN VERBOSE {}", sql)
    }

    fn random(&self) -> String {
        String::from(" RANDOM()")
    }
}
