//! Database Driver for SQLite
//!
//! Contains database-specific query data
use super::*;

/// The struct implementing the `DatabaseDriver` trait
#[derive(Debug)]
pub struct SQLiteDriver;

impl SQLiteDriver {
    /// Create an SQLiteDriver driver
    pub fn new() -> Self {
        SQLiteDriver {}
    }
}

impl DatabaseDriver for SQLiteDriver {
    fn explain(&self, sql: &str) -> String {
        format!("EXPLAIN QUERY PLAN {}", sql)
    }

    fn random(&self) -> String {
        String::from(" RANDOM()")
    }
}
