//! # StringQB
//!
//! A query builder using mostly strings, with methods following common SQL syntax
//!
//! ```
//! use stringqb::prelude::*;
//!
//!
//! ```
#![warn(missing_docs)]
// Temporarily silence unused variables and uncalled code warnings
// @TODO remove when most of the code is implemented
#![allow(dead_code)]
#![allow(unused_variables)]

#[macro_use]
extern crate lazy_static;

pub mod drivers;
pub mod enums;
pub mod fns;
pub mod query_builder;

pub mod prelude {
    //! Re-exports important traits and types.
    //!
    //! This includes enum types, traits,
    //! the Query Builder, and individual database drivers.
    pub use crate::drivers::DatabaseDriver;
    pub use crate::enums::*;
    pub use crate::query_builder::QueryBuilder;

    #[cfg(feature = "postgres")]
    /// Postgres Driver
    pub use crate::drivers::postgres::PostgresDriver;

    #[cfg(feature = "sqlite")]
    /// SQLite Driver
    pub use crate::drivers::sqlite::SQLiteDriver;

    #[cfg(feature = "mysql")]
    /// MySQL Driver
    pub use crate::drivers::mysql::MySQLDriver;

    // MSSQL is missing on purpose, as it is not a real priority to actually implement
}
